%SONAR 208 objects with 60 features in 2 classes
%
%       X = SONAR
%
%This is the data set used by Gorman and Sejnowski in their study of the
%classification of sonar signals using a neural network.  The task is to
%train a network to discriminate between sonar signals bounced off a
%metal cylinder and those bounced off a roughly cylindrical rock.

function a = sonar

a = pr_loadmatfile;
if isempty(a)
  opt.labfeat    = 61;
  opt.classnames = {'mines' 'rocks'};
  opt.desc       = 'The Sonar dataset from the undocumented databases from UCI. The task is to train a network to discriminate between sonar signals bounced off a metal cylinder and those bounced off a roughly cylindrical rock.';
  opt.link       = 'ftp://ftp.ics.uci.edu/pub/machine-learning-databases/undocumented/connectionist-bench/sonar';
  opt.dsetname   =  'Sonar';
  a = pr_download('http://prtools.tudelft.nl/prdatasets/sonar.dat',[],opt);
end
a = setname(a,'Sonar');

return
